## blender 2.58-svn37702

=== debian/changelog ===
blender (2.58-svn37702-1ubuntu1) oneiric; urgency=low

  * Build depend on libglew-dev instead of libglew1.5-dev since the latter
    no longer exists.  This effectively transitions to libglew1.6.
    - update debian/control 

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 31 Jul 2011 22:11:23 -0500

blender (2.58-svn37702-1) unstable; urgency=low

  * "New Upstream Release"
  * debian/rules :
    - disable WITH_BUILTIN_GLEW to avoid static linking

 -- Kevin Roy <kiniou@gmail.com>  Fri, 24 Jun 2011 11:13:28 +0200

blender (2.57.2-svn36339-1) unstable; urgency=low

  * New Upstream Release 

 -- Kevin Roy <kiniou@gmail.com>  Mon, 02 May 2011 15:18:20 +0200

blender (2.57-svn36147-1) unstable; urgency=low

  * New Upstream Release (closes: #623250)
  * Bump Python version to 3.2
  * debian/patches :
    - 0001-install_in_usr_lib :
        Changed system path in GHOST_SystemPathsX11.cpp instead
        of GHOST_SystemX11.cpp
    - 0002-use_systemwide_libraries :
        Deactivated hardcoded linked libraries glew and openjpeg
        which are detected automatically now
    - 0004-locales_directory_install :
        Set locales installation into /usr/share/locale
    - 0007-disable_tests.patch :
        Disable Tests Suite when building because it needs debug
  * debian/rules :
    - build configuration adapted for this release 

 -- Kevin Roy <kiniou@gmail.com>  Wed, 20 Apr 2011 19:57:35 +0200

blender (2.56.1-beta-svn34076-1) unstable; urgency=low

  * New Upstream Release  

 -- Kevin Roy <kiniou@gmail.com>  Tue, 08 Feb 2011 22:20:54 +0100

blender (2.56-beta-svn33949-1) experimental; urgency=low

  * New Upstream Release 

 -- Kevin Roy <kiniou@gmail.com>  Sat, 01 Jan 2011 04:03:35 +0100

blender (2.55-beta-svn32738-1) experimental; urgency=low

  * New Upstream Release

 -- Kevin Roy <kiniou@gmail.com>  Wed, 27 Oct 2010 23:20:49 +0200

blender (2.54-beta-svn31878-1) experimental; urgency=low

  * New Upstream Release
  * debian/patches
    - removed no longer needed patch:
       | 0005-freedesktop_deprecates_encoding.patch

 -- Kevin Roy <kiniou@gmail.com>  Thu, 14 Oct 2010 14:15:07 +0200
